io.vertx.rxjava3.ext.auth.authorization

## Class Authorizations

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authorization.Authorizations

-     public class Authorizations
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Authorizations>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authorizations(Authorizations delegate)`
    `Authorizations(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Authorizations` | `add(String providerId, Authorization authorization)`
    `Authorizations` | `add(String providerId, Set<Authorization> authorizations)`
    `Authorizations` | `clear()`
    `Authorizations` | `clear(String providerId)`
    `boolean` | `equals(Object o)`
    `Set<Authorization>` | `get(String providerId)`
    `Authorizations` | `getDelegate()`
    `Set<String>` | `getProviderIds()`
    `int` | `hashCode()`
    `static Authorizations` | `newInstance(Authorizations arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Authorizations> __TYPE_ARG

  - ### Constructor Detail

    - #### Authorizations

          public Authorizations(Authorizations delegate)

    - #### Authorizations

          public Authorizations(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Authorizations getDelegate()

    - #### add

          public Authorizations add(String providerId,
                                    Set<Authorization> authorizations)

    - #### add

          public Authorizations add(String providerId,
                                    Authorization authorization)

    - #### clear

          public Authorizations clear(String providerId)

    - #### clear

          public Authorizations clear()

    - #### get

          public Set<Authorization> get(String providerId)

    - #### getProviderIds

          public Set<String> getProviderIds()

    - #### newInstance

          public static Authorizations newInstance(Authorizations arg)

Copyright © 2022 Eclipse. All rights reserved.